=== src/keys/Makefile ===
root := ../..

all:
	make -C ${root}
